> ## Documentation Index
> Fetch the complete documentation index at: https://developers.pleo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Multi Currency Configuration

> We provide multi-currency support, which enables you to maintain multiple accounts with Pleo in different currencies. The multi-currency configuration in the Pleo application helps our customers to optimise foreign exchange and simplifies operations when they are working with revenue and spend in multiple currencies.

export const RememberCallout = ({title, children}) => <div className="callout-box callout-remember">
    <div className="callout-row">
      <span className="callout-icon">
        <svg width="22" height="22" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 256 256" fill="currentColor"><path d="M229.66,98.34,172.39,155.8c11.46,22.93-1.72,45.86-10.11,57a8,8,0,0,1-12,.83L42.34,105.76A8,8,0,0,1,43,93.85c29.65-23.92,57.4-10,57.4-10l57.27-57.46a8,8,0,0,1,11.31,0L229.66,87A8,8,0,0,1,229.66,98.34Z" opacity="0.2" /><path d="M235.32,81.37,174.63,20.69a16,16,0,0,0-22.63,0L98.37,74.49c-10.66-3.34-35-7.37-60.4,13.14a16,16,0,0,0-1.29,23.78L85,159.71,42.34,202.34a8,8,0,0,0,11.32,11.32L96.29,171l48.29,48.29A16,16,0,0,0,155.9,224c.38,0,.75,0,1.13,0a15.93,15.93,0,0,0,11.64-6.33c19.64-26.1,17.75-47.32,13.19-60L235.33,104A16,16,0,0,0,235.32,81.37ZM224,92.69h0l-57.27,57.46a8,8,0,0,0-1.49,9.22c9.46,18.93-1.8,38.59-9.34,48.62L48,100.08c12.08-9.74,23.64-12.31,32.48-12.31A40.13,40.13,0,0,1,96.81,91a8,8,0,0,0,9.25-1.51L163.32,32,224,92.68Z" /></svg>
      </span>
      <div>
        {title && <div className="callout-title">
            {title}
          </div>}
        <div className="callout-body">
          {children}
        </div>
      </div>
    </div>
  </div>;

export const NoteCallout = ({title, children}) => <div className="callout-box callout-note">
    <div className="callout-row">
      <span className="callout-icon">
        <svg width="22" height="22" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 256 256" fill="currentColor"><path d="M208,104a79.86,79.86,0,0,1-30.59,62.92A24.29,24.29,0,0,0,168,186v6a8,8,0,0,1-8,8H96a8,8,0,0,1-8-8v-6a24.11,24.11,0,0,0-9.3-19A79.87,79.87,0,0,1,48,104.45C47.76,61.09,82.72,25,126.07,24A80,80,0,0,1,208,104Z" opacity="0.2" /><path d="M176,232a8,8,0,0,1-8,8H88a8,8,0,0,1,0-16h80A8,8,0,0,1,176,232Zm40-128a87.55,87.55,0,0,1-33.64,69.21A16.24,16.24,0,0,0,176,186v6a16,16,0,0,1-16,16H96a16,16,0,0,1-16-16v-6a16,16,0,0,0-6.23-12.66A87.59,87.59,0,0,1,40,104.49C39.74,56.83,78.26,17.14,125.88,16A88,88,0,0,1,216,104Zm-16,0a72,72,0,0,0-73.74-72c-39,.92-70.47,33.39-70.26,72.39a71.65,71.65,0,0,0,27.64,56.3A32,32,0,0,1,96,186v6h64v-6a32.15,32.15,0,0,1,12.47-25.35A71.65,71.65,0,0,0,200,104Zm-16.11-9.34a57.6,57.6,0,0,0-46.56-46.55,8,8,0,0,0-2.66,15.78c16.57,2.79,30.63,16.85,33.44,33.45A8,8,0,0,0,176,104a9,9,0,0,0,1.35-.11A8,8,0,0,0,183.89,94.66Z" /></svg>
      </span>
      <div>
        {title && <div className="callout-title">
            {title}
          </div>}
        <div className="callout-body">
          {children}
        </div>
      </div>
    </div>
  </div>;

## Multi-Currency in Export API

`contraAccount` object is returned in the endpoint response of `GET https://external.pleo.io/v3/export-items`, when the expense is any of the following types and it impacts the account balance:

* `card_purchase`
* `fee`
* `cashback`
* `refund`
* `chargeback`
* `direct_reimbursement`
* `invoice_payment`
* `card_invoice`
* `atm_withdrawal`
* `personal_spend`
* `wallet_topup`
* `wallet_unload`

## Frequently Asked Questions

<AccordionGroup className="bg-transparent">
  <Accordion title="If a customer has activated multi-currency, can they still access the Export API version 2?">
    No, the version 2 `GET Get Export Items` endpoint returns `400: Bad Request` error and displays the following:

    <CodeGroup>
      ```json JSON theme={null}
      {
        "type": "UNSUPPORTED_API_VERSION",
        "message": "Upgrade to Export API v3 or higher: The API version you are trying to access does not support multi-currency wallets."
      }
      ```
    </CodeGroup>

    This ensures accurate bookkeeping, as when multi-currency configuration is enabled, the integration must access the Export API version 3 for the correct export of accounting entries from Pleo to the external ERP/accounting system.
  </Accordion>

  <Accordion title="Can an integration send a request to the Export API version 3 if multi-currency is not enabled?">
    Yes. Even if a customer has not activated multi-currency on Pleo, contra account, if configured, will be sent in V3 of `GET Get Export Items` endpoint. If contra accounts are not fully configured, then the endpoint will return status code `400` along with the following response body:

    <CodeGroup>
      ```json JSON theme={null}
      {
        "type": "MISSING_CONTRA_ACCOUNTS",
        "message": "Make sure you don't export EUR, USD expenses before you set your contra accounts."
      }
      ```
    </CodeGroup>

    This message will be based on export item currencies for which there is no contra account set.
  </Accordion>

  <Accordion title="What happens to an `in_progress` export job when `400: Bad Request` is returned in the `GET Get Export Items` endpoint?">
    You can configure the integration to either fail the corresponding export job or wait until it expires.

    <RememberCallout title="Remember">
      An export job expires after one hour since its last update (`lastUpdatedAt`).
    </RememberCallout>
  </Accordion>
</AccordionGroup>

## Export API Version 3 URLs

Production: [https://external.pleo.io](https://external.pleo.io) <br />
Staging: [https://external.staging.pleo.io](https://external.staging.pleo.io)

<NoteCallout title="Note">
  In the endpoint specific paths, use `v3` instead of `v2`. For example, `POST https://external.pleo.io/v3/export-job-events`.
</NoteCallout>
